Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class PortletApplicationImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.PortletApplicationImpl

All Implemented Interfaces:
  PortletApplicationObject, PortletApplication

    public class PortletApplicationImpl

extends java.lang.Object
implements PortletApplicationObject

Version:
  $Revision: 7226 $
Author:
  Julien Viet

Field Summary
`protected PortletApplicationContext` | `context` .
`protected ContainerPortletApplicationInfo` | `info` .
`protected org.apache.log4j.Logger` | `log` Logger.
`protected PortletContextImpl` | `portletContext` .
`protected java.util.LinkedHashMap<java.lang.String,PortletContainer>` | `portlets` .
`protected javax.portlet.PortletURLGenerationListener` | `urlListener` .

Constructor Summary
`PortletApplicationImpl(ContainerPortletApplicationInfo info)`

Method Summary
`void` | `addPortletContainer(PortletContainer container)` Add a container.
`void` | `addPortletFilter(PortletFilter filter)` Add a filter.
`PortletApplicationContext` | `getContext()` Returns the context related to this application.
`java.lang.String` | `getId()` Return the web app id.
`ContainerPortletApplicationInfo` | `getInfo()`
`
`<T> T`
` | `getListener(java.lang.Class<T> type)`
`PortletContainer` | `getPortletContainer(java.lang.String name)` Returns a specific container or null if it does not exist
`java.util.Set<PortletContainer>` | `getPortletContainers()` Returns the set of related portlet containers.
`PortletContext` | `getPortletContext()`
`void` | `removePortletContainer(PortletContainer container)` Remove a container.
`void` | `removePortletFilter(PortletFilter filter)` Remove a filter.
`void` | `setContext(PortletApplicationContext context)` Set the context required by that application.
`void` | `start()` Starts the application only.
`void` | `stop()` Stops the application only.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### info

    protected final ContainerPortletApplicationInfo info

  .

### log

    protected final org.apache.log4j.Logger log

  Logger.

### context

    protected PortletApplicationContext context

  .

### portlets

    protected java.util.LinkedHashMap<java.lang.String,PortletContainer> portlets

  .

### portletContext

    protected PortletContextImpl portletContext

  .

### urlListener

    protected javax.portlet.PortletURLGenerationListener urlListener

  .

Constructor Detail

### PortletApplicationImpl

    public PortletApplicationImpl(ContainerPortletApplicationInfo info)

Parameters:
  `info` - the portlet application info

Method Detail

### setContext

    public void setContext(PortletApplicationContext context)

  Description copied from interface: `PortletApplicationObject`
  Set the context required by that application.

  Specified by:
    `setContext` in interface `PortletApplicationObject`
  Parameters:
    `context` - the context

### getId

    public java.lang.String getId()

  Description copied from interface: `PortletApplication`
  Return the web app id.

  Specified by:
    `getId` in interface `PortletApplication`
  Returns:
    the id

### addPortletFilter

    public void addPortletFilter(PortletFilter filter)

  Description copied from interface: `PortletApplicationObject`
  Add a filter.

  Specified by:
    `addPortletFilter` in interface `PortletApplicationObject`
  Parameters:
    `filter` - the filter

### removePortletFilter

    public void removePortletFilter(PortletFilter filter)

  Description copied from interface: `PortletApplicationObject`
  Remove a filter.

  Specified by:
    `removePortletFilter` in interface `PortletApplicationObject`
  Parameters:
    `filter` - the filter

### getInfo

    public ContainerPortletApplicationInfo getInfo()

### addPortletContainer

    public void addPortletContainer(PortletContainer container)

  Description copied from interface: `PortletApplicationObject`
  Add a container.

  Specified by:
    `addPortletContainer` in interface `PortletApplicationObject`
  Parameters:
    `container` - the container

### removePortletContainer

    public void removePortletContainer(PortletContainer container)

  Description copied from interface: `PortletApplicationObject`
  Remove a container.

  Specified by:
    `removePortletContainer` in interface `PortletApplicationObject`
  Parameters:
    `container` - the container

### start

    public void start()
               throws java.lang.Exception

  Description copied from interface: `PortletApplicationObject`
  Starts the application only. It does not take care of starting its components.

  Specified by:
    `start` in interface `PortletApplicationObject`
  Throws:
    `java.lang.Exception` - any exception preventing the start

### stop

    public void stop()

  Description copied from interface: `PortletApplicationObject`
  Stops the application only. It does not take care of stopping its components.

  Specified by:
    `stop` in interface `PortletApplicationObject`

### getPortletContext

    public PortletContext getPortletContext()

### getListener

    public <T> T getListener(java.lang.Class<T> type)

### getPortletContainers

    public java.util.Set<PortletContainer> getPortletContainers()

  Description copied from interface: `PortletApplication`
  Returns the set of related portlet containers.

  Specified by:
    `getPortletContainers` in interface `PortletApplication`
  Returns:
    the portlet containers

### getPortletContainer

    public PortletContainer getPortletContainer(java.lang.String name)

  Description copied from interface: `PortletApplication`
  Returns a specific container or null if it does not exist

  Specified by:
    `getPortletContainer` in interface `PortletApplication`
  Parameters:
    `name` - the container id
  Returns:
    the portlet container

### getContext

    public PortletApplicationContext getContext()

  Description copied from interface: `PortletApplicationObject`
  Returns the context related to this application.

  Specified by:
    `getContext` in interface `PortletApplicationObject`
  Specified by:
    `getContext` in interface `PortletApplication`
  Returns:
    the context

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.